package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Pte;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface PteMapper {

    int insert(Pte record);

    int insertSelective(Pte record);

    int updateByPrimaryKeySelective(Pte record);

    int updateByPrimaryKey(Pte record);

    int deleteByPrimaryKey(Pte record);

    int deleteByIds(Collection<Object> collection);

    Pte selectByPrimaryKey(Pte record);

    Pte selectByInr(String inr);

    List<Pte> selectForPte4Fec(String objInr, String objTyp, String feeInr);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Pte> dyncRead(Map<String, Object> dyncMap);


    Pte getPteByObjtypAndObjinrAndSubidAndExtid(@Param("objtyp") String objtyp,
                                                @Param("objinr") String objinr,
                                                @Param("subid") String subid,
                                                @Param("extid") String extid);

    List<Pte> getPteByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    List<Pte> selectByBusinessObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);
}